| Home | Libraries | People | FAQ | More

#### get_client_category

Returns the error_category associated to `client_errc`.

##### Synopsis

Defined in header `<boost/mysql/error_categories.hpp>`

    const boost::system::error_category&
    get_client_category();

##### Exception safety

No-throw guarantee.

##### Object lifetimes

The returned reference is always valid (points to a singleton).

##### Thread safety

This function is thread-safe.

Convenience header `<boost/mysql.hpp>`